<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script src="./script.js"></script>
    <h1></h1>
    <p>Метод об'єкту - це функція, яка пов'язана з конкретним об'єктом у програмуванні. Коли викликаєш цей метод для об'єкта, він виконує певні операції або змінює стан цього об'єкта відповідно до визначеної логіки. Наприклад, якщо у тебе є об'єкт "автомобіль", метод "прискорити" може збільшити його швидкість, а метод "вимкнути двигун" може призупинити рух.</p>
    <p>Значення властивості об'єкта може бути будь-якого типу даних, такого як числа, слова, списки або навіть інші об'єкти. Тобто, воно може бути чим завгодно, що можна зберегти в пам'яті комп'ютера.</p>
    <p>Коли говорять, що об'єкт це посилальний тип даних, це означає, що коли ти створюєш об'єкт, ти створюєш не самі дані, а посилання на ці дані у пам'яті комп'ютера. Коли ти працюєш з об'єктом, ти насправді працюєш з цим посиланням, а не безпосередньо з даними. Це дозволяє легко обмінюватися та маніпулювати об'єктами у програмі.</p>
</body>
</html>